Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.relation
Class MBeanServerNotificationFilter

    java.lang.Object
      javax.management.NotificationFilterSupport
          javax.management.relation.MBeanServerNotificationFilter

All Implemented Interfaces:
  NotificationFilter, java.io.Serializable

public class MBeanServerNotificationFilter
extends NotificationFilterSupport

Filter for `MBeanServerNotification`. This filter filters MBeanServerNotification notifications by selecting the ObjectNames of interest and the operations (registration, unregistration, both) of interest (corresponding to notification types).

See Also:
  Serialized Form

Constructor Summary
`MBeanServerNotificationFilter()` Creates a filter selecting all MBeanServerNotification notifications for all ObjectNames.

Method Summary
`void` | `disableAllObjectNames()` Disables any MBeanServerNotification (all ObjectNames are deselected).
`void` | `disableObjectName(ObjectName theObjName)` Disables MBeanServerNotifications concerning given ObjectName.
`void` | `enableAllObjectNames()` Enables all MBeanServerNotifications (all ObjectNames are selected).
`void` | `enableObjectName(ObjectName theObjName)` Enables MBeanServerNotifications concerning given ObjectName.
`java.util.Vector` | `getDisabledObjectNames()` Gets all the ObjectNames disabled.
`java.util.Vector` | `getEnabledObjectNames()` Gets all the ObjectNames enabled.
`boolean` | `isNotificationEnabled(Notification theNtf)` Invoked before sending the specified notification to the listener.

Methods inherited from class javax.management.NotificationFilterSupport
`disableAllTypes, disableType, enableType, getEnabledTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanServerNotificationFilter

    public MBeanServerNotificationFilter()

  Creates a filter selecting all MBeanServerNotification notifications for all ObjectNames.

Method Detail

### disableAllObjectNames

    public void disableAllObjectNames()

  Disables any MBeanServerNotification (all ObjectNames are deselected).

### disableObjectName

    public void disableObjectName(ObjectName theObjName)
                           throws java.lang.IllegalArgumentException

  Disables MBeanServerNotifications concerning given ObjectName.

  Parameters:
    `theObjName` - ObjectName no longer of interest
  Throws:
    `java.lang.IllegalArgumentException` - if the given ObjectName is null

### enableAllObjectNames

    public void enableAllObjectNames()

  Enables all MBeanServerNotifications (all ObjectNames are selected).

### enableObjectName

    public void enableObjectName(ObjectName theObjName)
                          throws java.lang.IllegalArgumentException

  Enables MBeanServerNotifications concerning given ObjectName.

  Parameters:
    `theObjName` - ObjectName of interest
  Throws:
    `java.lang.IllegalArgumentException` - if the given ObjectName is null

### getEnabledObjectNames

    public java.util.Vector getEnabledObjectNames()

  Gets all the ObjectNames enabled.

  Returns:
    Vector of ObjectNames:

    - null means all ObjectNames are implicitly selected, except the ObjectNames explicitly deselected

    - empty means all ObjectNames are deselected, i.e. no ObjectName selected.

### getDisabledObjectNames

    public java.util.Vector getDisabledObjectNames()

  Gets all the ObjectNames disabled.

  Returns:
    Vector of ObjectNames:

    - null means all ObjectNames are implicitly deselected, except the ObjectNames explicitly selected

    - empty means all ObjectNames are selected, i.e. no ObjectName deselected.

### isNotificationEnabled

    public boolean isNotificationEnabled(Notification theNtf)
                                  throws java.lang.IllegalArgumentException

  Invoked before sending the specified notification to the listener.

  If:

  - the ObjectName of the concerned MBean is selected (explicitly OR (implicitly and not explicitly deselected))

  AND

  - the type of the operation (registration or unregistration) is selected

  then the notification is sent to the listener.

  Specified by:
    `isNotificationEnabled` in interface `NotificationFilter`
  Overrides:
    `isNotificationEnabled` in class `NotificationFilterSupport`
  Parameters:
    `theNtf` - The notification to be sent.
  Returns:
    true if the notification has to be sent to the listener, false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if null parameter

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.